#eureka client配置
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.40.143:8761/eureka/
#  instance.ipAddress: 192.168.80.107

prolog.tx.url: http://192.168.40.143:7000/tx/manager/

spring:
  application:
    name: upcloud-base-wh-outbound-2
  #redis配置
  redis:
    host: 192.168.40.143
    port: 6379
    password: prolog0212
    database: 0
  #链路跟踪
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    host: 192.168.40.143
    port: 5672
    username: admin
    password: prolog0212
    virtual-host: /upcloud
  datasource:
    driverClassName: oracle.jdbc.OracleDriver
    url: jdbc:oracle:thin:@192.168.40.142:1521:orcl
    username: upcloud_biz_outbound
    password: upcloud_biz_outbound
    #使用druid数据源
    initialSize: 0 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 50 #最大連接數
    maxWait: 6000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000 #最小生存時間
prolog:
  dao:
    dialect: oracle
    performance:
      enable: true
      showSql: true
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  rabbitmqManage:
    username: admin
    password: prolog-mq-20191229
    host: 192.168.1.18
  interfaceId:
    sendAgv: 282
    sendWms: 291
    updateAgvStatus: 293
    token: $2a$12$YIIm6aSpXAFDQ.IL1ah0TOBp/zbQaiPT5mFBaUxbCbwRKO0ZVkwqW
    integrationIp: "123456"

  service:
    operate: upcloud-base-wh-operate
    #inventory: upcloud-base-inventory-jayj1
    inventory: upcloud-base-inventory
    item: upcloud-base-item
    strategy: upcloud-base-strategy
    warehouse: upcloud-base-wh
mq:
  wave:
    response:
      queueName: waveResponseQueue
      topicName: topic.wave.response
    request:
       queueName: waveRequestQueue
       topicName: topic.wave.request

logging:
  config: classpath:log4j2-dev.xml
  level.root: info
